From: "Petr Vaněk" <arkamar@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/s6-linux-init/
Date: Thu, 24 Oct 2024 09:39:22 +0000 (UTC) [thread overview]
Message-ID: <1729762701.70faac383c13e49dd938cdd468c9cda1acd04a20.arkamar@gentoo> (raw)
commit: 70faac383c13e49dd938cdd468c9cda1acd04a20
Author: Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 24 08:59:57 2024 +0000
Commit: Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Thu Oct 24 09:38:21 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70faac38
sys-apps/s6-linux-init: add 1.1.2.1
Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>
sys-apps/s6-linux-init/Manifest | 1 +
.../s6-linux-init/s6-linux-init-1.1.2.1.ebuild | 79 ++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/sys-apps/s6-linux-init/Manifest b/sys-apps/s6-linux-init/Manifest
index 24a3f01450a8..5ef6ed0249d1 100644
--- a/sys-apps/s6-linux-init/Manifest
+++ b/sys-apps/s6-linux-init/Manifest
@@ -1 +1,2 @@
DIST s6-linux-init-1.1.2.0.tar.gz 60986 BLAKE2B e1becccf2ae54d06e590586c3158ae4ea4ec9a78c942bbdca5aca7320cd3cbbf9fe7e4b711c1c3505027d704dbd5de2185dc4d84bbc2dfc7687ff41c765bb31e SHA512 76376c4d407e665f67f733f1366dbacca58d268ebdbe22a9147cb102d519bd4c5887a345f66db2005d29ed9a841cb5a388c73c7d8df00d984cc4a25b9a813786
+DIST s6-linux-init-1.1.2.1.tar.gz 61073 BLAKE2B ae5d71b3817ef8b2c09d06fb34a8b170a3d63ffd31333bc136f320d31bdcca093915d9711ea018caab85cef0677ef98cd75101671f9a4d72eaba92cbb22c38a8 SHA512 343b6a9bdcf3b1abb544409bb2d7a6c8a1dbcb07d1b941ae74e8800e48ad605c6427f724d7692569b3ade4829948d0e57024c764c18a60c3bb2eb2efefedb622
diff --git a/sys-apps/s6-linux-init/s6-linux-init-1.1.2.1.ebuild b/sys-apps/s6-linux-init/s6-linux-init-1.1.2.1.ebuild
new file mode 100644
index 000000000000..a444a4733a4d
--- /dev/null
+++ b/sys-apps/s6-linux-init/s6-linux-init-1.1.2.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature toolchain-funcs
+
+DESCRIPTION="Generates an init binary for s6-based init systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-linux-init/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~mips ~x86"
+IUSE="+sysv-utils"
+
+RDEPEND="
+ dev-lang/execline:=
+ >=dev-libs/skalibs-2.14.0.0:=
+ sys-apps/s6:=[execline]
+ sysv-utils? (
+ !sys-apps/openrc[sysv-utils(-)]
+ !sys-apps/systemd[sysv-utils]
+ !sys-apps/sysvinit
+ )
+"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+ default
+
+ # Avoid QA warning for LDFLAGS addition
+ sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+ sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+ tc-export AR CC RANLIB
+
+ local myconf=(
+ --bindir=/bin
+ --dynlibdir="/$(get_libdir)"
+ --skeldir=/etc/s6-linux-init/skel
+ --libdir="/usr/$(get_libdir)/${PN}"
+ --libexecdir=/lib/s6
+ --with-dynlib="/$(get_libdir)"
+ --with-lib="/usr/$(get_libdir)/s6"
+ --with-lib="/usr/$(get_libdir)/skalibs"
+ --with-sysdeps="/usr/$(get_libdir)/skalibs"
+ --enable-shared
+ --disable-allstatic
+ --disable-static
+ --disable-static-libc
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ if use sysv-utils ; then
+ "${D}/bin/s6-linux-init-maker" -f "${D}/etc/s6-linux-init/skel" "${T}/dir" || die
+ into /
+ dosbin "${T}/dir/bin"/{halt,poweroff,reboot,shutdown,telinit}
+ fi
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "Read ${EROOT}/usr/share/doc/${PF}/html/quickstart.html"
+ elog "for usage instructions."
+ fi
+
+ optfeature "man pages" app-doc/s6-linux-init-man-pages
+}
next reply other threads:[~2024-10-24 9:39 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-24 9:39 Petr Vaněk [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-05 15:24 [gentoo-commits] repo/gentoo:master commit in: sys-apps/s6-linux-init/ Petr Vaněk
2025-02-08 10:16 Arthur Zamarin
2025-02-08 10:16 Arthur Zamarin
2024-01-17 10:39 Petr Vaněk
2024-01-17 2:46 Ionen Wolkens
2023-12-21 6:12 Joonas Niilola
2023-12-21 6:12 Joonas Niilola
2023-12-20 12:43 Petr Vaněk
2023-12-05 15:08 Petr Vaněk
2023-12-05 15:08 Petr Vaněk
2023-11-20 10:06 Sam James
2023-11-17 11:09 Sam James
2023-11-17 11:09 Sam James
2023-07-15 8:01 Joonas Niilola
2023-06-19 5:55 Joonas Niilola
2023-06-19 5:55 Joonas Niilola
2023-05-20 12:32 Joonas Niilola
2023-05-18 7:39 Joonas Niilola
2023-05-16 5:58 Joonas Niilola
2023-05-16 5:58 Joonas Niilola
2023-05-06 9:49 Arthur Zamarin
2023-04-15 12:23 Joonas Niilola
2023-04-15 12:23 Joonas Niilola
2023-03-30 5:22 Joonas Niilola
2023-03-25 5:13 Arthur Zamarin
2023-02-21 8:01 Sam James
2023-01-17 1:53 Sam James
2023-01-17 1:53 Sam James
2022-10-10 12:20 Joonas Niilola
2022-10-10 12:20 Joonas Niilola
2022-08-16 15:26 Joonas Niilola
2022-08-02 5:40 Joonas Niilola
2022-08-02 5:40 Joonas Niilola
2022-06-25 5:36 Sam James
2022-06-25 5:36 Sam James
2022-06-13 14:56 Joonas Niilola
2022-05-24 7:01 Joonas Niilola
2022-05-22 6:06 Joonas Niilola
2022-05-22 6:06 Joonas Niilola
2022-04-24 9:49 Joonas Niilola
2022-03-11 8:31 Joonas Niilola
2022-03-10 9:48 Jakov Smolić
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2021-04-21 18:51 Sam James
2020-10-11 17:49 William Hubbs
2020-07-15 12:30 Sam James
2020-05-16 7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-27 14:56 Michał Górny
2019-06-22 7:52 Michał Górny
2018-10-02 22:08 Michał Górny
2018-05-31 22:48 William Hubbs
2018-03-29 13:25 William Hubbs
2017-11-15 20:15 William Hubbs
2017-10-03 18:47 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs
2016-06-29 17:45 William Hubbs
2016-03-19 23:45 William Hubbs
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1729762701.70faac383c13e49dd938cdd468c9cda1acd04a20.arkamar@gentoo \
--to=arkamar@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox